<?php
/** Web Translation : ja -> en **/
if( defined( 'FOR_XOOPS_LANG_CHECKER' ) ) $mydirname = 'links' ;
$constpref = '_MI_' . $mydirname;

if( defined( 'FOR_XOOPS_LANG_CHECKER' ) || ! defined( $constpref.'_LOADED' ) )
{
  define($constpref .'_LOADED', 1);

	define($constpref .'_NAME', 'D3LinksS');
	define($constpref .'_DESC', 'Links module');

	//block name
	define($constpref .'_BNAME1', 'Links Block');
	define($constpref .'_BNAME2', 'Easy Post');
	define($constpref .'_BNAME3', 'Category Block');
	define($constpref .'_BNAME4', 'Approval Block');

	//admin menu
	define($constpref .'_ADMENU1', 'Categories');
	define($constpref .'_ADMENU2', 'Permission');
	define($constpref .'_ADMENU3', 'Broken');
	define($constpref .'_ADMENU4', 'Request');
	define($constpref .'_ADMENU5', 'Approval');
	define($constpref .'_ADMENU_MYLANGADMIN', 'Languages');
	define($constpref .'_ADMENU_MYTPLSADMIN', 'Templates');
	define($constpref .'_ADMENU_MYBLOCKSADMIN', 'Blocks');
	define($constpref .'_ADMENU_MYPREFERENCES', 'Preferences(Altsys)');

	//config items
	define($constpref .'_URL_APPROCH_0', '[0]Query Approach');
	define($constpref .'_URL_APPROCH_1', '[1]Segment Approach');
	define($constpref .'_URL_APPROCH_2', '[2]-- mod_rewrite 1');
	define($constpref .'_URL_APPROCH_3', '[3]-- mod_rewrite 2');
	define($constpref .'_URL_APPROCH', 'URL Approach');
	define($constpref .'_URL_APPROCH_DSC',
			constant($constpref.'_URL_APPROCH_0') .' ex)'. XOOPS_URL .'/modules/'. $mydirname .'/index.php?c=submit&m=form<br />'.
			constant($constpref.'_URL_APPROCH_1') .' ex)'. XOOPS_URL .'/modules/'. $mydirname .'/index.php/submit/form.html<br />'.
			constant($constpref.'_URL_APPROCH_2') .' ex)'. XOOPS_URL .'/modules/'. $mydirname .'/submit/form.html<br />'.
			constant($constpref.'_URL_APPROCH_3') .' ex)'. XOOPS_URL .'/'. $mydirname .'/submit/form.html<br />
			When mod_rewrite is used, It is necessary to set .htaccess file.'
		);
	define($constpref .'_URL_SUFFIX', 'URL Suffix');
	define($constpref .'_URL_SUFFIX_DSC', 'It is used when the segment approaching. It is also possible to make it toempty.');

	define($constpref .'_CAT_SELECTOR', 'Multiple Category Selector');
	define($constpref .'_CAT_SELECTOR_DSC', 'Yes: MULTIPLE selector. No: Two or more categories can be registered with Javascript');
	define($constpref .'_POPULAR','Number of visits because of becoming "Popular link"');
	define($constpref .'_POPULARDSC', '"pop" Please specify the number of visits because of the display of the icon. ');
	define($constpref .'_PERPAGE','Number of links displayed every one page');
	define($constpref .'_PERPAGEDSC', 'Select the maximum number of links displayed in each page');
	define($constpref .'_USEFRAMES','Use Frame');
	define($constpref .'_USEFRAMEDSC', 'Whether it displays it in the intraframe when the registration site is visited or not?');
	define($constpref .'_SCREENSHOT','Use Screen Shot Service');
	define($constpref .'_SCREENSHOTDSC','(1)<a href="http://capture.heartrails.com/" target="_blank">http://capture.heartrails.com/</a>, (2)<a href="http://mozshot.nemui.org/" target="_blank">http://mozshot.nemui.org/</a>, (3)<a href="http://img.simpleapi.net/" target="_blank">http://img.simpleapi.net/</a>');
	define($constpref .'_SCREENSHOT_CACHE', 'Cache time of screen shot image(unit: Day)');
	define($constpref .'_SCREENSHOT_CACHE_DSC', 'When it accesses linking the single page when this cache time is exceeded, it acquires it again. cache is not used when setting it to 0. ');

	define($constpref .'_CATICON_PATH','Path of category image');
	define($constpref .'_CATICON_PATHDESC',"When the image in this path makes the category by the category manager, it is possible to select it. <br />An initial value is modules/$mydirname/images/categories.");
	define($constpref .'_REQUEST','Can the guest do the correction request?');
	define($constpref .'_REQUEST_DESC','');
	define($constpref .'_RATING_TYPE','type of "Rate this Site"');
	define($constpref .'_RATING_TYPE_DESC','');
	define($constpref .'_RATING_TYPE_1', '0 �` 10 ratings type');
	define($constpref .'_RATING_TYPE_2', '1 rating type');
	define($constpref .'_DISP_TYPE' , 'Table Display');
	define($constpref .'_DISP_TYPE_DESC' , 'Method of display by module\'s top and category\'s page (Yes: Table display / no: List display). PC only.');
	define($constpref .'_TABLE_COLS', 'Number of rows at table display');
	define($constpref .'_TABLE_COLS_DESC', '');
	define($constpref .'_REDIRECT_TYPE', 'Use XOOPS\'s redirect_header');
	define($constpref .'_REDIRECT_TYPE_DESC', 'NO: A peculiar method to this module is used.');
	define($constpref .'_COM_DIRNAME', 'Comment-integration: dirname of d3forum');
	define($constpref .'_COM_FORUM_ID', 'Comment-integration: forum ID');
	define($constpref .'_COM_ORDER', 'Order of comment-integration');
	define($constpref .'_COM_VIEW', 'View of comment-integration');
	define($constpref .'_COM_POSTSNUM', 'Max posts displayed in comment-integration');


}
